Subject: Re: bug#45342: 28.0.50; Native compiled function returns raw bytes, not string
From: Andrea Corallo <[email-masked]>
To: Alexander Miller <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Dec 2020 15:34:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Alexander Miller <[email-masked]> writes:

> Hi Andrea,
>
> I can confirm that 72c1a41573 fixes the issue.
>
> However there's still another problem that I thought was related, but
> apparently it isn't. (I can open another bug for it if you like).
>
> It looks like eval-when-compile is not working as expected. I am also
> using small xpms for my modeline that are defined like this:

Hi Alex,

I tried reproducing but I get nil both executing interpreted byte-compiled
and native-compiled, so probably I'm not doing exactly what you do.

Could you open a dedicated bug attaching the full reproducer and how you
exercise it?

I'm closing this one.

Thanks!

  Andrea